AlgoJudge documentation0.1
REST reference

Problems

POST/problems/{problemId}/versions

Path Parameters

problemId*string
Formatuuid

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/problems/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "version": 0,  "createdAt": "string",  "createdByName": "string",  "note": "string",  "props": null,  "hasPackage": true,  "files": [    {      "name": "string",      "scope": "string",      "mimeType": "string",      "sizeBytes": 0,      "sha256": "string",      "fileId": "string"    }  ]}
GET/problems

Query Parameters

page?integer
Formatint32
pageSize?integer
Formatint32
search?string
mineOnly?boolean
includeArchived?boolean

Response Body

curl -X GET "https://example.com/problems"
{  "items": [    {      "id": "string",      "slug": "string",      "name": "string",      "type": "string",      "external": true,      "ownerUserId": "string",      "ownerName": "string",      "visibility": "string",      "sharedWith": [        "string"      ],      "archivedAt": "string",      "currentVersion": 0,      "versionCount": 0,      "createdAt": "string",      "attachedCount": 0    }  ],  "total": 0,  "page": 0,  "pageSize": 0}
POST/problems

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/problems" \  -H "Content-Type: application/json" \  -d '{    "slug": "string",    "name": "string",    "type": "string"  }'
{  "id": "string",  "slug": "string",  "name": "string",  "type": "string",  "external": true,  "ownerUserId": "string",  "ownerName": "string",  "visibility": "string",  "sharedWith": [    "string"  ],  "archivedAt": "string",  "currentVersion": 0,  "versionCount": 0,  "createdAt": "string",  "attachedCount": 0}